Image - Get Url
Ottiene l'URL in cui è possibile scaricare l'immagine specificata.
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/images/{imageId}
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
image
|
path | True |
string uuid |
ID immagine. |
|
tenant
|
path | True |
string uuid |
ID tenant di Azure Sphere. |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 200 OK |
Operazione completata. |
Esempio
Get the URL of an image's download site
Sample Request
GET https://prod.core.sphere.azure.net/v2/tenants/768c2cd6-1bf0-4521-9f53-084a331d81cb/images/985453bb-eb5c-4ff2-8e06-aef4786ac445
Sample Response
{
"IsSuccess": true,
"Uri": "https://prodptimg.blob.core.windows.net/768c2cd6-1bf0-4521-9f53-084a331d81cb/images/985453bb-eb5c-4ff2-8e06-aef4786ac445?remaining-part-of-URL",
"UriMessage": null
}
Definizioni
ImageDownloadInfo
| Nome | Tipo | Descrizione |
|---|---|---|
| IsSuccess |
boolean |
Ottiene o imposta un valore che indica se la richiesta per ottenere l'URI dell'immagine ha esito positivo. |
| Uri |
string |
Ottiene o imposta l'URI dell'immagine sas. |
| UriMessage |
string |
Ottiene o imposta il messaggio dell'URI dell'immagine se la richiesta per ottenere l'URI ha esito negativo |